System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object

The class contains a list of objects that determine how to order XML data before creating a digest.

Use the class whenever you need to add one or more transform objects to an encrypted XML document or to a signed XML document.

Both the class and the class contain a object. You can add a object to the class by calling the method. You can add a object to the class by calling the method. You can also create a object manually and pass it to either the property or the property.

If you want to sign only a portion of an XML document, you can use a transform to identify the XML elements you intend to sign. Note that the property and the property automatically create internal transforms that allow you to sign a portion of a document.

For more information about transforms, see the XMLDSIG specification, which is available from the W3C at www.w3.org/TR/xmldsig-core/, or see the XML encryption specification, which is available from the W3C at www.w3.org/TR/xmlenc-core/.

Defines an ordered list of objects that is applied to unsigned content prior to digest calculation.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The transforms are applied to the unsigned content in the order in which they were added to the object.

  Adds a transform to the list of transforms to be applied to the unsigned content prior to digest calculation.

  The transform to add to the list of transforms.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 a To be added

  Gets the number of transforms in the object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Returns an enumerator of the transforms in the object.

  An enumerator of the transforms in the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.Transform `` a To be added a To be added